# Types

### Table of contents

#### Types

* [PublicKeyOrKeysetEndpoint](#publickeyorkeysetendpoint)
* [ZkPassOutput](#zkpassoutput)
* [ZkPassProof](#zkpassproof)
* [VerifyZkPassProofResult](#verifyzkpassproofresult)

### Types

#### PublicKeyOrKeysetEndpoint

▸ **PublicKeyOrKeysetEndpoint**: [`PublicKey`](/zkpass/zkpass-developers-guide/api-reference/typescript/interfaces/interfaces.md#publickey) `|` [`KeysetEndpoint`](/zkpass/zkpass-developers-guide/api-reference/typescript/interfaces/interfaces.md#keysetendpoint)

A union type that can either be a PublicKey or KeysetEndpoint.

***

#### ZkPassOutput

▸ **ZkPassOutput**: `{ [key: string]: string | number | boolean }`

Key-value pairs representing the output data from a zkPass operation.

***

#### ZkPassProof

▸ **ZkPassProof**: `Object`

Properties representing a zkPass proof.

| Name                       | Type     | Description                       |
| -------------------------- | -------- | --------------------------------- |
| `zkproof`                  | `string` | The zkPass proof string           |
| `dvr_title`                | `string` | Title of the DVR                  |
| `dvr_id`                   | `string` | Identifier of the DVR             |
| `dvr_digest`               | `string` | Digest of the DVR                 |
| `user_data_verifying_keys` | `object` | Keys used for verifying user data |
| `dvr_verifying_key`        | `object` | Key used for verifying DVR        |
| `time_stamp`               | `number` | Timestamp of the proof generation |

***

#### VerifyZkPassProofResult

▸ **VerifyZkPassProofResult**: `Object`

Result of verifying a zkPass proof.

<table><thead><tr><th>Name</th><th width="247">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>output</code></td><td><a href="#zkpassoutput"><code>ZkPassOutput</code></a></td><td>The output data</td></tr><tr><td><code>zkpass_proof</code></td><td><a href="#zkpassproof"><code>ZkPassProof</code></a></td><td>The zkPass proof data</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gl-docs.gitbook.io/zkpass/zkpass-developers-guide/api-reference/typescript/type-aliases/types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
